using System;
using Java.Interop;

namespace App4
{
    public class Dto2 : Java.Lang.Object, Java.IO.ISerializable
    {
        public Dto2()
        {
        }

        public Dto2(string text)
        {
            Text = text;
        }


        public string Text { get; set; }
        //public int Val { get; set; }

        [Export("readObject", Throws = new[] {
			typeof (Java.IO.IOException),
			typeof (Java.Lang.ClassNotFoundException)})]
        private void ReadObjectDummy(Java.IO.ObjectInputStream source)
        {
            Console.WriteLine("MySerializable.ReadObjectDummy");
            //Val = source.ReadInt();
            Text = source.ReadUTF();
        }

        [Export("writeObject", Throws = new[] {
			typeof (Java.IO.IOException),
			typeof (Java.Lang.ClassNotFoundException)})]
        private void WriteObjectDummy(Java.IO.ObjectOutputStream destination)
        {
            Console.WriteLine("MySerializable.WriteObjectDummy");
            //destination.WriteInt(Val);
            destination.WriteUTF(Text);
        }

        //public override string ToString()
        //{
        //    return base.ToString() + "[Val=" + Val+ ", Text=" +Text + "]";
        //}
    }
}